unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, mTGPoint, mTGLine, mTGCircle, mTGQuadrat;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    PaintBox1: TPaintBox;
    Label1: TLabel;
    BtnPointCreate: TButton;
    BtnPointDestroy: TButton;
    Label2: TLabel;
    BtnLineCreate: TButton;
    BtnLineDestroy: TButton;
    Label3: TLabel;
    BtnCircleCreate: TButton;
    BtnCircleDestroy: TButton;
    Label4: TLabel;
    BtnQuadCreate: TButton;
    BtnQuadDestroy: TButton;
    procedure BtnPointCreateClick(Sender: TObject);
    procedure BtnPointDestroyClick(Sender: TObject);
    procedure BtnLineCreateClick(Sender: TObject);
    procedure BtnLineDestroyClick(Sender: TObject);
    procedure BtnCircleCreateClick(Sender: TObject);
    procedure BtnCircleDestroyClick(Sender: TObject);
    procedure BtnQuadCreateClick(Sender: TObject);
    procedure BtnQuadDestroyClick(Sender: TObject);
  private
    { Private-Deklarationen }
    Punkt   : TGPoint;
    Strecke : TGLine;
    Kreis   : TGCircle;
    Quadrat : TGQuadrat;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BtnPointCreateClick(Sender: TObject);
  begin
  Punkt := TGPoint.Create(50, 70, clBlack);
  Punkt.DrawIt(PaintBox1.Canvas);
  end;

procedure TForm1.BtnPointDestroyClick(Sender: TObject);
  begin
  Punkt.HideIt(PaintBox1.Canvas);
  Punkt.Destroy;
  end;

procedure TForm1.BtnLineCreateClick(Sender: TObject);
  begin
  Strecke := TGLine.Create(250, 20, 50, 190, clBlue);
  Strecke.DrawIt(PaintBox1.Canvas);
  end;

procedure TForm1.BtnLineDestroyClick(Sender: TObject);
  begin
  Strecke.HideIt(PaintBox1.Canvas);
  Strecke.Destroy;
  end;

procedure TForm1.BtnCircleCreateClick(Sender: TObject);
  begin
  Kreis := TGCircle.Create(200, 200, 150, clRed);
  Kreis.DrawIt(PaintBox1.Canvas);
  end;

procedure TForm1.BtnCircleDestroyClick(Sender: TObject);
  begin
  Kreis.HideIt(PaintBox1.Canvas);
  Kreis.Destroy;
  end;

procedure TForm1.BtnQuadCreateClick(Sender: TObject);
  begin
  Quadrat := TGQuadrat.Create(100, 120, 200, clBlue);
  Quadrat.DrawIt(PaintBox1.Canvas);
  end;

procedure TForm1.BtnQuadDestroyClick(Sender: TObject);
  begin
  Quadrat.HideIt(PaintBox1.Canvas);
  Quadrat.Destroy;
  end;

end.
