UNIT mTGLine;

interface

//--------------------  ggf Uses-Liste anpassen !  --------------------
uses graphics, mTGeoObj;

type
   TGLine = CLASS(TGeoObj)

     // weitere Attribute
     protected
         xe : Integer;
         ye : Integer;

     // weitere Methoden
     public
        constructor Create(ix, iy, ixe, iye: Integer; iCol: TColor);
        procedure DrawIt(target: TCanvas); override;
        procedure HideIt(target: TCanvas); override;

   end;

implementation

//+---------------------------------------------------------------------
//|         TGLine: Methodendefinition
//+---------------------------------------------------------------------

//-------- Create (public) ---------------------------------------------
constructor TGLine.Create(ix, iy, ixe, iye: Integer; iCol: TColor);
begin
  Inherited create(ix, iy, iCol);
  xe := ixe;
  ye := iye;
end;

//-------- DrawIt (public) ---------------------------------------------
procedure TGLine.DrawIt(target: TCanvas);
begin
  With target do begin
    Pen.Color := col;
    MoveTo(x, y);
    LineTo(xe, ye);
    end;
end;

//-------- HideIt (public) ---------------------------------------------
procedure TGLine.HideIt(target: TCanvas);
begin
  With target do begin
    Pen.Color := clWhite;
    MoveTo(x, y);
    LineTo(xe, ye);
    end;
end;

end.
