UNIT mTGQuadrat;

interface

//--------------------  ggf Uses-Liste anpassen !  --------------------
uses graphics, mTGeoObj;

type
   TGQuadrat = CLASS(TGeoObj)

     // weitere Attribute
     protected
         len : Integer;

     // weitere Methoden
     public
        constructor Create(ix,iy,ilen:Integer; iCol:TColor);
        procedure DrawIt(target:TCanvas); override;
        procedure HideIt(target:TCanvas); override;

   end;

implementation

//+---------------------------------------------------------------------
//|         TGQuadrat: Methodendefinition
//+---------------------------------------------------------------------

//-------- Create (public) ---------------------------------------------
constructor TGQuadrat.Create(ix,iy,ilen:Integer; iCol:TColor);
begin
  Inherited Create(ix, iy, iCol);
  len := iLen;
end;

//-------- DrawIt (public) ---------------------------------------------
procedure TGQuadrat.DrawIt(target:TCanvas);
begin
  With target do begin
    Pen.Color   := col;
    Brush.Style := bsClear;
    Rectangle(x, y, x+len, y+len);
    end;
end;

//-------- HideIt (public) ---------------------------------------------
procedure TGQuadrat.HideIt(target:TCanvas);
begin
  With target do begin
    Pen.Color   := clWhite;
    Brush.Style := bsClear;
    Rectangle(x, y, x+len, y+len);
    end;
end;

end.
