UNIT mTGeoObj;

interface

//--------------------  ggf Uses-Liste anpassen !  --------------------
uses graphics;

type
   TGeoObj = CLASS

     // weitere Attribute
     protected
         x : Integer;
         y : Integer;
         col : TColor;

     // weitere Methoden
     public
        constructor Create(ix,iy:Integer; iCol:TColor);
        procedure DrawIt(target:TCanvas); virtual; abstract;
        procedure HideIt(target:TCanvas); virtual; abstract;
        destructor Destroy; override;

   end;

implementation

//+---------------------------------------------------------------------
//|         TGeoObj: Methodendefinition 
//+---------------------------------------------------------------------

//-------- Create (public) ---------------------------------------------
constructor TGeoObj.Create(ix,iy:Integer; iCol:TColor);
begin
  Inherited create;
  x := ix;
  y := iy;
  col := iCol;
end;

//-------- Destroy (public) --------------------------------------------
destructor TGeoObj.Destroy;
begin
  inherited destroy;
end;

end.
